@import "variables";

.stories {
	overflow: hidden;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 5.87rem 0 6.25rem 0;

	.section-title {
		margin-bottom: 3.75rem;
	}

	&-container {
		display: flex;
		flex-direction: column;
		align-items: center;
		width: 100%;
	}

	&-track {
		display: flex;
		margin-bottom: 2.5rem;
		width: max-content;

		&-container {
			max-width: 1000px;
		}
	}

	&-story {
		background-color: $light-gray;
		border: 1px solid $very-light-gray-2;
		box-shadow: 0 4px 6px 0 rgb(0 0 0 / 10%);
		border-radius: 0.4rem;
		font-size: 1.5rem;
		margin-right: 1.25rem;

		&-container {
			display: flex;
			padding: 3.12rem;
			gap: 3rem;
			width: 45rem;
			height: 21.87rem;
			animation: 600ms ease 0ms 1 normal both fadeIn;
		}

		&-content {
			display: flex;
			flex-direction: column;
			gap: 1.25rem;
		}

		&-name {
			font-weight: bold;
		}

		&-body {
			&::before {
				content: " ";
				background-image: url("../images/common/quotes.svg");
				display: block;
				width: 28px;
				height: 26px;
				margin-bottom: 1rem;
			}
		}

		&-image img {
			background-blend-mode: lighten;
		}
	}
}

@media (max-width: 720px) {
	.stories {
		&-story {
			font-size: 1rem;

			&-container {
				width: 25rem;
				flex-direction: column;
				gap: 0;
				overflow: hidden;
			}

			&-image {
				width: 4.3rem;
				height: 4.3rem;
				align-self: flex-end;

				img {
					width: 100%;
					height: 100%;
				}
			}
		}
	}
}
